dwg.ru forum rss xml
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Тюнинг CAD систем (СОВЕТЫ ПРОФИ)

Тюнинг CAD систем (СОВЕТЫ ПРОФИ)

Версия для печати
 
Ответ
Опции темы Поиск в этой теме
Непрочитано 22.09.2003, 14:24 #1
Тюнинг CAD систем (СОВЕТЫ ПРОФИ)
Vova
 
Engineer
 
New-York
Регистрация: 05.09.2003
Сообщений: 9,686

Vova вне форума Вставить имя

Admin:
В данной теме предлагаем делиться советами по настройке и адаптации AutoCAD (и др. ПО на его основе), которые помогают повысить удобство работы и производительность труда.
Просмотров: 327760
 
Непрочитано 22.09.2003, 19:25
#2
андрей1

инженер ПГС
 
Регистрация: 12.09.2003
Калининград
Сообщений: 42


Архиполезную тему затеяли, товарищ Perezz. То, о чем так долго говорили...

2 Vova.(дружелюбно)Наоборот, надо!!!Сочетание CTRL+1 гораздо тяжелее, чем F2.А меню правой кнопки надо отключать, а то выскакивающая всегда менюшка только мешает работать.)))

2 vk.(дружелюбно)ТЕ КТО СВЯЗАЛСЯ С АКАДОМ, командную строку читают на этапах освоения, а потом и одной полоски хватает, за редким исключением.А то не у всех же 21-вершковый монитор,место на экране приходиться экономить. Кстати, у многих на экране полно лишних, не нужных ЕМУ кнопок, полосы прокрутки,лайоты всякие. Их надо убирать!!!(прошу понять меня правильно))))))))).
андрей1 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 23.09.2003, 04:28
#3
Vova

Engineer
 
Регистрация: 05.09.2003
New-York
Сообщений: 9,686


Андрей >(по отечески дружелюбно). Кто не пользуется командной строкой и текстовым окном (F2) НИКОГДА не станет профи. Кто не пользуется меню на правой кнопке, сильно себя обедняет. Кстати, двойной клик левой кнопки вызовет Properties, если у тебя 2002. Я знаю 8 способов вызвать это окно. А ты, Андрей1?
p.s. Не разглядел сразу - про Layout. Убрать эту строку рекомендуешь. Ну это толко для тех, кто их не использует. А если места маловато, и есть Express, примени команду Fullscreen и наслаждайся.
Vova вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 23.09.2003, 09:47
#4
Pilot

Проектировщик свиноводство
 
Регистрация: 21.08.2003
Сообщений: 2,203


В разделе меню
***ACCELERATORS
добавил:
["F2"]'_zoom
["F3"]'_zoom _p
["F4"]'-view _r 0;
["F5"]_per
["F6"]_nea
["F7"]_non

Небольшое пояснение:
Для вызова текстового окна применяю Ctrl+F2.
Самый важный и часто вызываемый вид всегда сохраняю под именем 0, а вызываю по F4.
На F5, F6, F7 посадил достаточно часто используемые опции разовой объектной привязки, но мешающие в постоянной.

Те, кто любит вводить цифры только с верхнего ряда клавы, могут переопределить цифровые клавиши Keypad - на них тоже можно кучу всего навесить.
К сожалению мне так и не удалось переопределить клавишу F1, ибо хэлпом пользуюсь от силы пару раз в неделю.
Pilot вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 23.09.2003, 10:42
#5
Drulya

проектирование транспортных сооружений
 
Регистрация: 25.08.2003
SPb
Сообщений: 357
Отправить сообщение для Drulya с помощью ICQ


Окно Propirties вызываю двойным левым кликом, а убираю коммандой PROPERTIESClose навешанной на клавишу Tab
///
(может кто знает как "прыгать" по лаяутам без мыши.)
__________________
С уважением,
Drulya.
Drulya вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 23.09.2003, 13:51
#6
андрей1

инженер ПГС
 
Регистрация: 12.09.2003
Калининград
Сообщений: 42


->Администратор.Спасибо! Наконец-то я узнал ЭТО.

->VOVA.(по братски сурово) Видно мне не стать профи.8( 8)
Но читать ком. строку и текстовое окно(это нужно, но редко),не мешает отсутствие для этого F2.
Как вызвать окно пропертис в 2002?
1.Дабл клик по объекту
2.С кнопки
3.CTRL+1
4.Из ком. строки
5.Из злосчастной выпадающей менюхи
6.Из меню Modify
7.F2®
8.Мысленно®
Каки же еще два способа? Проснешься, расскажи)))
Фулскрин Экспреса я знаю но он какой то глючный...
андрей1 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 23.09.2003, 14:37
#7
vk

сисадмин
 
Регистрация: 26.08.2003
Самара
Сообщений: 1,022
Отправить сообщение для vk с помощью ICQ


Цитата:
Сообщение от Drulya
(может кто знает как "прыгать" по лаяутам без мыши.)
Для этой цели у меня пори старте АКАДа загружается небольшой Лисп, который вызывается при помощи горячих клавишей. Если нужно, могу выслать.
Цитата:
Сообщение от андрей1
....а потом и одной полоски хватает, за редким исключением
Согласен в общих чертах, но нередко работая "на автомате" легко пропустить какое нибудь предупреждение, а потом париться, искать где ошибся...
По поводу панелей - у меня их три - состоят в основном из кнопок с выпадающими панелями, живут по одной со стороны.
Для раскрывающегося списка свойств слоя подгружается файлик, который обеспечивает раскрытие списка большей ширины на весь экран по высоте.
vk вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 23.09.2003, 14:54
#8
Vova

Engineer
 
Регистрация: 05.09.2003
New-York
Сообщений: 9,686


Андрей1 (С возрастающим уважением. Становишься профи) П.6.и 7 ты написал сгоряча, если принять стандартный интерфейс автокада. С командной строки можно набирать: CH, MO, PROPS. П.1 работает по разному,если DCPROPS поставлен на ON/OFF (и есть EXPRESS). Переустановка стандартных клавиш не рекомендуется, если используешь разные машины или кто-то-твою.
Vova вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 23.09.2003, 18:56
#9
андрей1

инженер ПГС
 
Регистрация: 12.09.2003
Калининград
Сообщений: 42


@ У многих начинающих, линии, которые должны быть нулевой толщины, становятся "толстенькими" при печати. ОДИН ИЗ способов этого избежать: В макрос команды PLOT приписать волшебное слово. В кончном виде: ^C^C_LWDEFAULT 0 plot (соблюдая пробелы).Не владея тонкостями,и не зная как раз и навсегда обнулить эту переменную, я каждый раз ходил Format-Lineweight-Default=0. Сознаю, что возможен другой вариант, более грамотный, но ведь работает...(почему то не синий текст, наверное совет не ценный)
андрей1 вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 23.09.2003, 19:35
#10
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 34,502


По поводу толщин линий - как я добился, чтобы лишней толщины не было:
Options [op] -> User Preferences -> Lineweight Settings
Запарочно, но! Мне было проще сделать именно так, до лиспа просто не добирался. Если бы знал, какая переменная за это дело отвечает, давно бы поставил ее назначение на автомат и не парился

Кстати, тема уже мелькала, но все равно скажу (искать и ставить ссылку просто лень). При каждом старте када (при создании файла) у меня подгружается крохотный лисп-файлик примерно такого содержания:
setvar "dispsilh" 1)
(setvar "mirrtext" 0)
(setvar "attdia" 1)
(setvar "filedia" 1)
(setvar "hpname" "steel")
(setvar "hpspace" 1)
(princ "\nDefault Values ON\n")
(princ)

Для тех, кто не в курсе: устанавливаются значения некоторых переменных, хранить которые кад добровольно отказывается (это dispsilh, в частности), также устанавливаются в нормальное значение переменные, которые хоть раз у меня "слетали"; потом устанавливается штриховка по умолчанию "steel" ну и т.д.
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 24.09.2003, 22:48
#11
Perezz!!
Moderator

архитектор
 
Регистрация: 21.08.2003
Москва
Сообщений: 3,587


Думаю, было справедливо создать эту тему, поскольку мне бы не хотелось видеть советы по настройке в Tips&Tricks. А никто не проявил инициативы И ещё, небось, подумали что я злой и ужасный. А это так и есть!

Хочу заметить, что:
Всё опубликованное здесь, в этой теме, не претендует на исключительность - это только мнения разных людей на счёт удобства тех или иных настроек и возможностей системы.

PS: Издатели могут не заморачиваться - все права на материал (с) на этом сайте принадлежат его владельцу и авторам постингов - а поэтому, если будут перепечатка и переиздание - они должны всем нам денег.
А ССЫЛКА НА САЙТ ОБЯЗАТЕЛЬНА - это серьёзно :!:

Итак, погнали:
Perezz!! вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 25.09.2003, 08:31
#12
Perezz!!
Moderator

архитектор
 
Регистрация: 21.08.2003
Москва
Сообщений: 3,587


Прошу прощения у Г. nikolaev! Его сообщение потерялось при разделении темы. Вот полный текст этого постинга:
*****
Для повышения производительности чертежного труда мною сделаны
следующие добавления в иконные меню:
1.Добавлены кнопки линий: "Контурная 0.50", " Тонкая 0.13", "Осевая0.13", "Штриховая 0.20". В синтаксисе прописана установка соответствующих слоев, в которых указан тип линни и вес.
2. Добавлена кнопка "Комплекс привязок" (osmode=167).
3. Добавлена кнопка "Fillet R 0".
3. Добавлена кнопка "Length dy".
4. Добавлена кнопка "line _from".
5. Установлен 9-ти кнопочный указатель румбов (квадрат 3х3 с "собакой" в центре, висит постоянно в углу).
6. Добавлены кнопки "text 5.0" и "text 3.5".
7. Изменен синтаксис команды "Copy", она сделана многократной.
8. Изменен дизайн многих кнопок, что помогает быстрому поиску.
Например, на кнопке "erase" изображен большой красный крест,
на кнопке "zoom all" голубой квадрат во всю кнопку, на "zoom W"
голубое окошко в черном переплете.

9. И разное другое.

С удовольствием познакомлюсь с аналогичным опытом.
________________________
nikolaev
Зарегистрирован: 28.08.2003
Сообщения: 9
Откуда: Мос. область
mailto:nikolaev@smk.ru
*****
Perezz!! вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 01.10.2003, 10:51
#13
URKA

инженер-конструктор
 
Регистрация: 21.08.2003
Гомель, ELMIS
Сообщений: 264
Отправить сообщение для URKA с помощью ICQ


Неужели кто-то пользуется кнопочкой "erase" , проще выделить всё окном и нажать клавишу "Delete".
Владельцам мышей с колесом! Zoom-команды (кроме Zoom Widow) практически и не нужны для вычерчивания (но кому как нравится :wink . Zoom - прокрутка колеса, zoom extents - двойной клик по колесу.
URKA вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 21.12.2003, 00:17
#14


 
Сообщений: n/a


Я создал себе два набора файлов меню (mnu mnc mns) на разные случаи жизни.
В меню для двумерного черчения имеется кнопка с командой ^C^C_menu 3d.mnc.
Для трёхмерного - ^C^C_menu 2d.mnc.
Это позволяет мнгновенно переключаться...
вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 22.12.2003, 10:10
#15
Pilot

Проектировщик свиноводство
 
Регистрация: 21.08.2003
Сообщений: 2,203


Т.к. пользуюсь командой fillet с радиусом почти всегда =0,
то в файл автозагрузки записал:
(setvar "filletrad" 0)
Pilot вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 04.01.2004, 14:41
1 | #16
Perezz!!
Moderator

архитектор
 
Регистрация: 21.08.2003
Москва
Сообщений: 3,587


Автор постинга Alex B
Добавлено: Чт Окт 09, 2003 11:36 am
/перенесено из Tips&Tricks/


Молодцы, что делитесь советами, какая разница - тонкая, толстая... Ну и что, если мне практически всё известно, прочитал - не облез. Многим, конечно, пригодится. Как этого не хватало лет 13-14 назад при 10-м АКАДе, когда даже литературы путевой не было. Спасибо всем за участие.
Я еще в PGP-файле прописал русские аналоги клавиш, чтобы, даже если включен русский шрифт, команды по горячим кнапкам выполнялись. Например:
M, *MOVE
Ь, *MOVE
....
RO, *ROTATE
кщ, *ROTATE
Perezz!! вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 09.01.2004, 23:14
#17
Perezz!!
Moderator

архитектор
 
Регистрация: 21.08.2003
Москва
Сообщений: 3,587


Автор постинга Vova
Добавлено: Вс Янв 04, 2004 5:05 pm
/перенесено из Tips&Tricks/


Или сделайте для тех же целей (очистка чертежа *Perezz!!) такую кнопочку: ^C^C_-Purge;_All;;_No;
___________________________

Автор постинга plaz
Добавлено: Пт Янв 09, 2004 9:08 am
/перенесено из Tips&Tricks/


Цитата:
Или сделайте для тех же целей такую кнопочку: ^C^C_-Purge;_All;;_No;
Я бы предложил свой вариант:
^C^C-Purge;a;;n;-Purge;a;;n;-Purge;a;;n > Acad200x
^C^C_Purge;a;;n;_Purge;a;;n;_Purge;a;;n > AcadR14
Как правило, за один прием в сильно захламленном чертеже все не удаляется
___________________________

Автор постинга Alxd
Добавлено: Пт Янв 09, 2004 11:42 am
/перенесено из Tips&Tricks/


Может кому надо?
Замкнуть две линии: ^C^C_f;_R;0.0;_F (пробел в конце)
Очистить полностью: Purge (пурген) на менее 3 раз, как описано выше )
Плавная прокрута экрана: Ctrl+прижатое колесико мышары
Стереть: для левой руки Del находится далеко, кнопка Erase и того дальше для мыши. Использую e (англ) и пробел
Для внешних ссылок:
обновить выбранную ссылку
(defun xrefu( / xn cmd)
(setq cmd (getvar "CMDECHO"))
(setvar "CMDECHO" 0)
(setq xn (cdr (assoc 2 (entget (car (entsel))))))
(command "_-xref" "_reload" xn)
(setvar "CMDECHO" cmd)
(princ)
)
открыть выбранную ссылку
(defun xrefo (/ XENT cmd adocs)
(setq cmd (getvar "CMDECHO"))
(setvar "CMDECHO" 1)
(vl-load-com)
(if
(setq XENT (entsel "\nSelect XREF to edit: "))
(progn
(setq xent (vlax-ename->vla-object (car xent))
xent (strcat (vla-get-Path xent))
adocs (vla-get-Documents (vlax-get-Acad-Object))
)

(vla-open adocs xent)
(vla-Activate (vla-Item adocs (1- (vla-get-Count adocs))))
)
)
(setvar "CMDECHO" cmd)
(princ)
)

Бывает надо текстом обменяться между объектами. Скажу иначе, поменять местами текст.
(defun c:xcht ( / textobj1 textobj2 text1 text2 cmd)
(setq cmd (getvar "CMDECHO"))
(setvar "CMDECHO" 0)
(command "_.undo" "_group")
(princ "\nExchange TEXT of text objects:")
(setq textobj1 (entget (car (entsel "\nSelect first text object:")))
textobj2 (entget (car (entsel "\nSelect second text object:")))
text1 (assoc 1 textobj1)
text2 (assoc 1 textobj2)
textobj1 (subst text2 text1 textobj1)
textobj2 (subst text1 text2 textobj2)
)
(entmod textobj1)
(entmod textobj2)
(command "_.undo" "_en")
(setvar "CMDECHO" cmd)
(princ)
)

Еще есть приблуда для определения "истории" объекта который внутри другого объекта и т.д. Со сложной вложенностью. Надо?
Perezz!! вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 10.01.2004, 23:40
#18
Elima

инженер
 
Регистрация: 12.10.2003
Владимир
Сообщений: 27


Для быстого выравнивания размерных значений на выносных линиях я создал в меню Dimension команду
^C^C_aidimtextmove 1;
А также присвоил ей, для быстроты, сочетание клавиш ctrl+left.
Иногда она выручает меня...
__________________
Грядущее неизбежно!
Elima вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Непрочитано 12.01.2004, 07:22
#19
Elima

инженер
 
Регистрация: 12.10.2003
Владимир
Сообщений: 27


Для быстрого изменения размерного стиля я создал последовательность команд
^C^C-dimstyle r ЕСКД_50 '_graphscr;
-dimstyle - запускает команду dimstyle в текстовом окне,
r - предлагает ввести имя нового текстового стиля,
ЕСКД_50 - собстенно название размерного стиля (он должен быть описан в файле чертежа);
'_graphscr - убирает текстовое окно.
Такими командами я пользуюсь постоянно...
__________________
Грядущее неизбежно!
Elima вне форума вставить имя Обратить внимание модератора на это сообщение  
 
Автор темы   Непрочитано 13.01.2004, 06:31
1 | #20
Vova

Engineer
 
Регистрация: 05.09.2003
New-York
Сообщений: 9,686


Вообще-то Graphscr предназначен для гашения текстового окна при прохождении скриптов. Недаром у нее окончание-scr, от слова Script. Вне скриптов команда тоже работает, но мелькания окна не избежать. Лучше сделай так ^c^c_menuecho;2_-dimstyle;_r;ЕСКД_50;menuecho;0 Я бы не стал держать столько кнопок, сколько димстилей только для их переключения. Плюс к этим кнопкам еще стандартный набор на вид размера, это загромождает экран. , Изменить стиль легко в окошке контроля димстилей при панели Dimension. Окошко можно оторвать от панели и разместить, где удобно, а в 2004 оно есть и так. Зато твоя кнопка может стать началом целой программы на макросе-загрузка стиля, соответствующего масштабу, создание слоя, простановка размера, возвращение рабочего слоя.
Примечание.
В русском автокаде команда Graphscr переведена как Графэкр, здесь пропал намек на скрипт. Один из недостатков русификации-при некорректном переводе пропадает или подменяется смысл. Надо держать словарь под руками. Но в слове aidimtextmove (Elima 11 января) словарь не помог мне разобраться, что означает "AI". хотя такая приставка есть у нек. команд, например, ai_molc, _ai_selall, ai_fms. Может, кто-нибудь знает?
Vova вне форума вставить имя Обратить внимание модератора на это сообщение  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Тюнинг CAD систем (СОВЕТЫ ПРОФИ)

Инженерные консультации
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск

Быстрый переход

Похожие темы
Тема Автор Раздел Ответов Последнее сообщение
Tips&Tricks (СОВЕТЫ ПРОФИ) Perezz!! AutoCAD 388 03.12.2016 22:44
LISP (советы профи) dextron3 LISP 7 04.09.2007 11:44

|| Главная || Каталог САПР || Тендеры || Публикации || Объявления || Биржа труда || Download || Галерея ||
|| Библиотека || Кунсткамера || Каталог предприятий || Контакты || Файлообменник || Блоги ||


Размещение рекламы